none
Error 1935. An error occurred during the installation of assembly component. HRESULT:. 0x800736FD

    Question

  • I'm building an setup file using InstallShield 2012 Spring Pro which bundles several Visual C++ components with my installer. However, when I run my installer on a Japanese version of Windows 7 (32-bit), I received the following error (as extracted from the MSI log in %TEMP%):

    エラー 1935。アセンブリ コンポーネント {6D321E57-3E99-3B87-BF23-2CDFF3361CB4} のインストール中にエラーが発生しました。 HRESULT: 0x800736FD. アセンブリ インターフェイス: IAssemblyCacheItem, 関数: Commit, アセンブリ名: Microsoft.VC90.CRT,publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="9.0.30729.1",processorArchitecture="x86"

    TRANSLATED:
    Error 1935. An error occurred during the installation of assembly component {6D321E57-3E99-3B87-BF23-2CDFF3361CB4}. HRESULT:. 0x800736FD assembly interface: IAssemblyCacheItem, function: Commit, assembly name: Microsoft.VC90.CRT, publicKeyToken = "1fc8b3b9a1e18e3b", type = "win32", version = "9.0.30729.1", processorArchitecture = "x86"

    I've contacted the support staff at Flexera Software, the folks that make InstallShield, and they've sent me here, since my problem seems to be installing a Visual C++ merge module. My installer is attempting to install the following:

    Unconditionally:

    • Visual C++ 8.0 CRT (x86) WinSXS MSM

    If x86:

    • Visual C++ 9.0 CRT (x86) WinSXS MSM
    • Visual C++ 9.0 ATL (x86) WinSXS MSM
    • Visual C++ 9.0 MFLOC (x86) WinSXS MSM
    • Visual C++ 9.0 MFC (x86) WinSXS MSM
    • Visual C++ 9.0 OpenMP(x86) WinSXS MSM

    If x64:

    • Visual C++ 9.0 CRT (x64) WinSXS MSM
    • Visual C++ 9.0 ATL (x64) WinSXS MSM
    • Visual C++ 9.0 MFLOC (x64) WinSXS MSM
    • Visual C++ 9.0 MFC (x64) WinSXS MSM
    • Visual C++ 9.0 OpenMP(x64) WinSXS MSM

    Now, what ends up happening, is the installation starts, I encounter the 1935 error, and everything rolls back. But when I check the Programs under Control Panel, I see that something called "Visual C++ 2008 Redistributable -x86" is installed, v9.0.21022, which wasn't there previously. Then I can see from the log file that the component that failed is v9.0.30729.1.

    Could there be some kind of conflict between versions here? I really have no idea why this is failing, does anyone have a hint for me?

    Thanks!

    Thursday, March 07, 2013 2:41 AM

All replies